package dev.ksan;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

public class DataThread implements Runnable {
    private List<SubjectEntry> allEntries = new ArrayList<>();
    private boolean running;
    Set<Subject> subjects = Subject.generateSubjects();
    @Override
    public void run() {
        while(running){

        }
    }
    public void compare(List<SubjectEntry> subjectEntries) {
        for(SubjectEntry subjectEntry : subjectEntries){
            if(!allEntries.contains(subjectEntry)){

                for(Subject subject : subjects){
                    if(subject.matchesTitle(subjectEntry.getTitle())){
                        DataStore.notifySubject(subject, subjectEntry);
                        allEntries.add(subjectEntry);
                    }
                }

            }
        }
    }

    public void stop(){
        running = false;
    }
}
