plugins {
    id("java")
    id("application")
}
group = "dev.ksan"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral();
    maven("https://jitpack.io")
    }
application{

    mainClass.set("dev.ksan.Main")
}
dependencies {
    implementation("org.simplejavamail:simple-java-mail:8.7.0")
    implementation("net.sourceforge.htmlunit:htmlunit:2.53.0")
    testImplementation(platform("org.junit:junit-bom:5.10.0"))
    testImplementation("org.junit.jupiter:junit-jupiter")
}

tasks.test {
    useJUnitPlatform()
}