package dev.ksan;

import java.util.List;

public class SubjectEntry {
    private String title;
    private String date;
    private String info;
    private List<String> paragraphs;

    public SubjectEntry(String title, String date, String info, List<String> paragraphs) {
        this.title = title;
        this.date = date;
        this.info = info;
        this.paragraphs = paragraphs;
    }
    public String getTitle() {
        return title;
    }
    public String getDate() {
        return date;
    }
    public String getInfo() {
        return info;
    }
    public List<String> getParagraphs() {
        return paragraphs;
    }
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if(o ==null) return false;
        SubjectEntry subject = (SubjectEntry) o;
        if(title.equals(subject.getTitle()) && date.equals(subject.getDate()) && info.equals(subject.getInfo())) {
            return true;
        }
        return false;
    }
    @Override
    public String toString() {
        return title + " " + date + " " + info + "\n\t" + paragraphs +  "\n";
    }

}
